FastDL

FastDL details, compression and plan changes.

GET/projects/:id/services/:serviceId/fastdl

FastDL details

The sv_downloadurl address, upload access, storage used.

Scope: fastdl:read
Parameters
idrequiredpath · stringProject number (from GET /projects), or ticket number
serviceIdrequiredpath · stringService number (from GET /projects/:id/services)
Example request
curl "https://sourhost.net/api/v1/projects/12/services/34/fastdl" \
  -H "Authorization: Bearer $SOURHOST_TOKEN"
Response
204 Empty response
POST/projects/:id/services/:serviceId/fastdl/compress

Compress files

Packs the files into .bz2.

Scope: fastdl:write
Parameters
idrequiredpath · stringProject number (from GET /projects), or ticket number
serviceIdrequiredpath · stringService number (from GET /projects/:id/services)
Example request
curl -X POST "https://sourhost.net/api/v1/projects/12/services/34/fastdl/compress" \
  -H "Authorization: Bearer $SOURHOST_TOKEN"
Response
204 Empty response
POST/projects/:id/services/:serviceId/fastdl/plan

Change the FastDL plan

Scope: billing:spendSpends money · needs an Idempotency-Key
Parameters
idrequiredpath · stringProject number (from GET /projects), or ticket number
serviceIdrequiredpath · stringService number (from GET /projects/:id/services)
Example request
curl -X POST "https://sourhost.net/api/v1/projects/12/services/34/fastdl/plan" \
  -H "Authorization: Bearer $SOURHOST_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: extend-34-2026-11" \
  -d '{"planCode":"fastdl-25"}'
Response
HTTP
HTTP/2 200 OK
{
  "tariff": "FastDL 25 ГБ",
  "price": 150,
  "storageGb": 25
}
Method errors
400idempotency_key_requiredNo Idempotency-Key header
402insufficient_balanceNot enough money on the balance
403token_spend_limitWould exceed the token’s spending limit
409idempotency_in_progressA request with this key is still running
GET/projects/:id/fastdl/free-starter

The project's free FastDL

Scope: fastdl:read
Parameters
idrequiredpath · stringProject number (from GET /projects), or ticket number
Example request
curl "https://sourhost.net/api/v1/projects/12/fastdl/free-starter" \
  -H "Authorization: Bearer $SOURHOST_TOKEN"
Response
204 Empty response

Common errors

Any method can answer with these. More on errors

400bad_requestInvalid body or parameters
401token_invalidThe token is wrong, revoked or expired
403token_scope_missingThe token lacks the scope
403token_project_forbiddenThe project or service is outside the token’s limits
404not_foundNo such project, service or object
429token_rate_limitedToo many requests, see Retry-After
503upstream_unavailableThe panel or node didn't answer — retry later